CREATE VIEW ofb_5 AS 

SELECT 

// Insert constant columns here 
expver@desc as expver, 
class@desc as class, 
stream@desc as stream, 
type@desc as type, 
andate@desc as andate, 
antime@desc as antime, 
reportype@hdr as reportype, 
numtsl@desc, 
mxup_traj@desc, 

// Insert hdr-aligned columns here 
date@hdr, 
rdbdate@hdr, 
lsm@modsurf, 
restricted@hdr, 
timeslot@timeslot_index, 
seqno@hdr, 
bufrtype@hdr, 
subtype@hdr, 
groupid@hdr, 
obstype@hdr, 
codetype@hdr, 
sensor@hdr, 
time@hdr, 
rdbtime@hdr, 
report_status@hdr, 
report_event1@hdr, 
report_rdbflag@hdr, 
degrees(lat@hdr) as lat@hdr, 
degrees(lon@hdr) as lon@hdr, 
zenith@sat, 
azimuth@sat, 
asr_pclear@radiance, 
asr_pcloudy@radiance, 
asr_pcloudy_low@radiance, 
asr_pcloudy_middle@radiance, 
asr_pcloudy_high@radiance, 
satellite_identifier@sat, 
skintemp_1@radiance, 
skintemp_2@radiance, 
skintemp_3@radiance, 
skintemp_4@radiance, 
skintemper@radiance, 
cldne_2@radiance, 
cldptop_2@radiance, 

// Insert body-aligned columns here 
entryno@body, 
vertco_reference_1@body, 
obsvalue@body, 
varno@body, 
vertco_type@body, 
csr_pclear@radiance_body, 
datum_anflag@body, 
datum_status@body, 
datum_event1@body, 
datum_rdbflag@body, 
qc_pge@body, 
biascorr@body, 
biascorr_fg@body, 
an_depar@body, 
fg_depar@body, 
datum_status_hires@update_1, 
obs_error@errstat, 
final_obs_error@errstat, 
repres_error@errstat, 
fg_error@errstat, 
eda_spread@errstat, 
tausfc@radiance_body, 
an_sens_obs@body, 
fc_sens_obs@body, 
hires@update_2

WHERE groupid@hdr == 5 ;
