PRAGMA foreign_keys=OFF;
BEGIN TRANSACTION;
CREATE TABLE experiment_run (
      run_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
      created TEXT NOT NULL,
      modified TEXT NOT NULL,
      start INTEGER NOT NULL,
      finish INTEGER,
      chunk_unit TEXT NOT NULL,
      chunk_size INTEGER NOT NULL,
      completed INTEGER NOT NULL,
      total INTEGER NOT NULL,
      failed INTEGER NOT NULL,
      queuing INTEGER NOT NULL,
      running INTEGER NOT NULL,
      submitted INTEGER NOT NULL,
      suspended INTEGER NOT NULL DEFAULT 0,
      metadata TEXT
      );
INSERT INTO experiment_run VALUES(1,'2023-05-02-12:32:07','2023-05-02-12:38:15',1683023527,1683023895,'day',1,1,81,0,0,12,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"LOCAL_SEND_INITIAL": {"NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "LOCAL_SETUP LOCAL_SEND_INITIAL-5", "FILE": "templates/00_local_send_initial.sh"}, "HERMESv3_BU": {"PROCESSORS": "336", "WALLCLOCK": "00:20", "DELAY": "1", "RUNNING": "chunk", "DEPENDENCIES": "HERMESv3_BU_PREPROC", "RETRIALS": "2", "FILE": "templates/hermes/hermesv3_bu.sh"}, "LOCAL_SETUP": {"NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "LOCAL", "RUNNING": "once", "TYPE": "python", "FILE": "templates/local_setup.py"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "PREPROCFIX": {"RUNNING": "member", "DEPENDENCIES": "REMOTE_COMPILE LOCAL_SEND_STATIC", "FILE": "templates/03_preproc_fix.sh", "WALLCLOCK": "00:30"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}, "LOCAL_SEND_STATIC": {"PLATFORM": "marenostrum_archive", "RUNNING": "once", "DEPENDENCIES": "LOCAL_SETUP", "FILE": "templates/01b_local_send_static.sh"}, "LOCAL_SEND_EMISSIONS": {"NOTIFY_ON": "FAILED", "SYNCHRONIZE": "member", "DELAY": "1", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "LOCAL_SETUP LOCAL_SEND_EMISSIONS-3", "FILE": "templates/hermes/local_send_emissions.sh"}, "PREPROCVAR": {"CUSTOM_DIRECTIVES": "[\"#SBATCH --exclusive\"]", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "LOCAL_SEND_INITIAL LOCAL_SEND_CHEM PREPROCFIX PREPROCVAR-10", "FILE": "templates/04_preproc_var.sh"}, "REMOTE_COMPILE": {"PROCESSORS": "4", "CUSTOM_DIRECTIVES": "[\"#SBATCH -p interactive\"]", "WALLCLOCK": "00:50", "RUNNING": "once", "DEPENDENCIES": "LOCAL_SEND_SOURCE", "FILE": "templates/02_compile.sh"}, "HERMESv3_BU_PREPROC": {"PROCESSORS": "720", "WALLCLOCK": "01:30", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "member", "DEPENDENCIES": "LOCAL_SEND_HERMES PREPROCFIX HERMESv3_GR_PREPROC", "RETRIALS": "4", "FILE": "templates/hermes/hermesv3_bu_preproc.sh"}, "SIM": {"PROCESSORS": "264", "WALLCLOCK": "00:30", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "PREPROCVAR SIM-1 HERMESv3_sum", "FILE": "templates/05b_sim.sh"}, "LOCAL_SEND_HERMES": {"PLATFORM": "marenostrum_archive", "RUNNING": "once", "DEPENDENCIES": "LOCAL_SEND_SOURCE", "NOTIFY": "FAILED", "FILE": "templates/hermes/local_send_hermes.sh"}, "LOCAL_SEND_SOURCE": {"PLATFORM": "marenostrum_archive", "RUNNING": "once", "DEPENDENCIES": "LOCAL_SETUP", "FILE": "templates/01_local_send_source.sh"}, "LOCAL_SEND_CHEM": {"NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "LOCAL_SETUP LOCAL_SEND_CHEM-2", "FILE": "templates/local_send_chem.sh"}, "HERMESv3_sum": {"PROCESSORS": "1", "WALLCLOCK": "00:20", "DELAY": "1", "RUNNING": "chunk", "DEPENDENCIES": "HERMESv3_BU HERMESv3_GR", "FILE": "templates/hermes/hermesv3_sum.sh"}, "HERMESv3_GR_PREPROC": {"PROCESSORS": "60", "WALLCLOCK": "01:30", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "member", "DEPENDENCIES": "LOCAL_SEND_HERMES PREPROCFIX", "RETRIALS": "4", "FILE": "templates/hermes/hermesv3_gr_preproc.sh"}, "POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "HERMESv3_GR": {"NOTIFY_ON": "FAILED", "PROCESSORS": "60", "WALLCLOCK": "00:15", "DELAY": "1", "RUNNING": "chunk", "DEPENDENCIES": "HERMESv3_GR_PREPROC LOCAL_SEND_EMISSIONS HERMESv3_GR-4", "RETRIALS": "2", "FILE": "templates/hermes/hermesv3_gr.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "wrapper": {"JOBS_IN_WRAPPER": "SIM", "MAX_WRAPPED": "100", "MIN_WRAPPED": "2", "CHECK_TIME_WRAPPER": "30", "TYPE": "vertical", "METHOD": "ASThread # for vertical-horizontal or horizontal with threads-based parallelism  this must be srun"}, "communications": {"API": "paramiko"}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.15.0b", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(2,'2023-05-02-12:38:15','2023-05-02-12:47:18',1683023895,1683024438,'day',1,0,55,0,8,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"HERMESv3_BU": {"PROCESSORS": "336", "WALLCLOCK": "00:20", "DELAY": "1", "RUNNING": "chunk", "DEPENDENCIES": "HERMESv3_BU_PREPROC", "RETRIALS": "2", "FILE": "templates/hermes/hermesv3_bu.sh"}, "PREPROCVAR": {"CUSTOM_DIRECTIVES": "[\"#SBATCH --exclusive\"]", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "LOCAL_SEND_INITIAL LOCAL_SEND_CHEM PREPROCFIX PREPROCVAR-10", "FILE": "templates/04_preproc_var.sh"}, "POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "HERMESv3_BU_PREPROC": {"PROCESSORS": "720", "WALLCLOCK": "01:30", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "member", "DEPENDENCIES": "LOCAL_SEND_HERMES PREPROCFIX HERMESv3_GR_PREPROC", "RETRIALS": "4", "FILE": "templates/hermes/hermesv3_bu_preproc.sh"}, "SIM": {"PROCESSORS": "264", "WALLCLOCK": "00:30", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "PREPROCVAR SIM-1 HERMESv3_sum", "FILE": "templates/05b_sim.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}, "HERMESv3_sum": {"PROCESSORS": "1", "WALLCLOCK": "00:20", "DELAY": "1", "RUNNING": "chunk", "DEPENDENCIES": "HERMESv3_BU HERMESv3_GR", "FILE": "templates/hermes/hermesv3_sum.sh"}, "HERMESv3_GR_PREPROC": {"PROCESSORS": "60", "WALLCLOCK": "01:30", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "member", "DEPENDENCIES": "LOCAL_SEND_HERMES PREPROCFIX", "RETRIALS": "4", "FILE": "templates/hermes/hermesv3_gr_preproc.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "HERMESv3_GR": {"NOTIFY_ON": "FAILED", "PROCESSORS": "60", "WALLCLOCK": "00:15", "DELAY": "1", "RUNNING": "chunk", "DEPENDENCIES": "HERMESv3_GR_PREPROC LOCAL_SEND_EMISSIONS HERMESv3_GR-4", "RETRIALS": "2", "FILE": "templates/hermes/hermesv3_gr.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "wrapper": {"JOBS_IN_WRAPPER": "SIM", "MAX_WRAPPED": "100", "MIN_WRAPPED": "2", "CHECK_TIME_WRAPPER": "30", "TYPE": "vertical", "METHOD": "ASThread # for vertical-horizontal or horizontal with threads-based parallelism  this must be srun"}, "communications": {"API": "paramiko"}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.15.0b", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(3,'2023-05-02-12:47:18','2023-05-02-12:47:44',1683024438,1683024464,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "wrapper": {"JOBS_IN_WRAPPER": "SIM", "MAX_WRAPPED": "100", "MIN_WRAPPED": "2", "CHECK_TIME_WRAPPER": "30", "TYPE": "vertical", "METHOD": "ASThread # for vertical-horizontal or horizontal with threads-based parallelism  this must be srun"}, "communications": {"API": "paramiko"}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.15.0b", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(4,'2023-05-02-12:47:44','2023-05-02-12:48:57',1683024464,1683024537,'day',1,0,21,0,1,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.15.0b", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(5,'2023-05-02-12:48:57','2023-05-02-12:49:00',1683024537,1683024540,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.14.0", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(6,'2023-05-02-12:49:00','2023-05-02-12:49:15',1683024540,1683024555,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.14.0", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(7,'2023-05-02-12:49:15','2023-05-02-12:49:19',1683024555,1683024559,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.14.0", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(8,'2023-05-02-12:49:19','2023-05-02-12:49:43',1683024559,1683024583,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt02.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.14.0", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(9,'2023-05-02-12:49:44','2023-05-02-12:49:46',1683024584,1683024586,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt01.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.14.0", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(10,'2023-05-02-12:49:47','2023-05-09-12:19:57',1683024587,1683627597,'day',1,0,21,0,0,0,0,0,'{"platforms": {"bscearth000": {"PROJECT": "Earth", "SCRATCH_DIR": "/esarchive/scratch", "HOST": "bscearth000", "TYPE": "ps", "USER": "dbeltran"}, "marenostrum4": {"MAX_WALLCLOCK": "72:00", "PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "mn1.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "MAX_PROCESSORS": "9600", "TYPE": "slurm", "ADD_PROJECT_TO_HOST": "False"}, "marenostrum_archive": {"PROJECT": "bsc32", "SCRATCH_DIR": "/gpfs/scratch", "HOST": "dt01.bsc.es", "TEST_SUITE": "False", "USER": "bsc32070", "TYPE": "ps", "ADD_PROJECT_TO_HOST": "False"}}, "jobs": {"POSTPROC": {"PROCESSORS": "144", "WALLCLOCK": "00:20", "NOTIFY_ON": "FAILED COMPLETED", "RUNNING": "chunk", "DEPENDENCIES": "SIM+1 POSTPROC-1", "RETRIALS": "2", "FILE": "templates/postprocess.sh"}, "ARCHIVE": {"WALLCLOCK": "00:40", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC ARCHIVE-1", "RETRIALS": "2", "FILE": "templates/06_archive.sh"}, "CLEAN": {"WALLCLOCK": "00:10", "NOTIFY_ON": "FAILED COMPLETED", "PLATFORM": "marenostrum_archive", "RUNNING": "chunk", "DEPENDENCIES": "POSTPROC+1 ARCHIVE", "FILE": "templates/08_clean.sh"}}, "exp": {"svn": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_REVISION": "", "PROJECT_URL": ""}, "git": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_BRANCH": "505-emibvoc-output-v2", "PROJECT_COMMIT": "", "FETCH_SINGLE_BRANCH": "true", "PROJECT_SUBMODULES": "", "PROJECT_ORIGIN": "https://earth.bsc.es/gitlab/es/auto-monarch.git"}, "project": {"HPCARCH": "marenostrum4", "EXPID": "a00b", "PROJECT_DESTINATION": "", "PROJECT_TYPE": "none"}, "experiment": {"RUN_ONLY_MEMBERS": "", "HPCARCH": "marenostrum4", "CHUNKSIZEUNIT": "day", "CHUNKSIZE": "1", "CHUNKINI": "", "NUMCHUNKS": "7", "DATELIST": "20181215", "EXPID": "a00b", "MEMBERS": "000", "CALENDAR": "standard"}, "project_files": {"FILE_JOBS_CONF": "conf/autosubmit/jobs_CHEM.conf", "HPCARCH": "marenostrum4", "JOB_SCRIPTS_TYPE": "", "FILE_PROJECT_CONF": "conf/autosubmit/proj_CHEM.conf", "EXPID": "a00b"}, "rerun": {"HPCARCH": "marenostrum4", "CHUNKLIST": "", "EXPID": "a00b", "RERUN": "FALSE"}, "local": {"EXPID": "a00b", "HPCARCH": "marenostrum4", "PROJECT_PATH": ""}}, "conf": {"migrate": {"TO_USER": ""}, "mail": {"NOTIFICATIONS": "False", "TO": ""}, "storage": {"TYPE": "pkl", "COPY_REMOTE_LOGS": "True"}, "config": {"PRESUBMISSION": "FALSE", "EXPID": "a00b", "TOTALJOBS": "100", "MAXWAITINGJOBS": "100", "RETRIALS": "0", "AUTOSUBMIT_VERSION": "3.14.0", "OUTPUT": "pdf", "SAFETYSLEEPTIME": "10"}, "communications": {"API": "paramiko"}}, "proj": {"multischeme": {"DCALGRP9": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP8": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP7": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP6": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP5": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP4": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP3": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP2": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP1": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DCALGRP0": "1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000 1.000000", "DGRPSRC": "3 3 3 3 3 3 3 3 3 3", "DA_FOLDER_SCALEDUSTEMISSION": "/gpfs/projects/bsc32/bsc32417/LETKFSP/SCALEFACTORS/test1deg_5degx24h", "PERTMAPNUMBER": "1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21", "PERTMAPFILE": "/gpfs/projects/bsc32/bsc32417/LETKFSP/PERTMAPS/pert_25x250km_0p25deg_p9.nc", "PERTMAPSTD": "0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2 0.2", "DGRPMASK": "2 2 2 2 2 2 2 2 2 2", "DFACTORGRP3": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "PERTMAP": "0", "DGRPDRAGPART": "3 3 3 3 3 3 3 3 3 3", "DFACTORGRP9": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP8": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP1": "0.367034 0.857719 0.065816 0.515240 0.155983 0.757019 0.945532 0.588421 0.736913 0.188583 0.762160 0.286196 0.592806 0.786858 0.285193 0.909912 0.141901 0.062863 0.089219 0.572614", "DFACTORGRP0": "0.632966 0.142281 0.934184 0.484760 0.844017 0.242981 0.054468 0.411579 0.263087 0.811417 0.237840 0.713804 0.407194 0.213142 0.714807 0.090088 0.858099 0.937137 0.910781 0.427386", "DGRPSCHEME": "0 1 3 1 1 1 1 1 1 1", "DFACTORGRP2": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP5": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP4": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP7": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000", "DFACTORGRP6": "0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000 0.000000"}, "da": {"MAXILEVE": "38", "MAX_SLOT": "0", "WRITE_RESTART_MEAN": "F", "NPROC_LON": "16", "INDEX_AER": "1, 2, 3, 4, 5, 6, 7, 8", "LOCSIG_VER": "1.0", "DA_FOLDER_ARCHIVE": "", "EXCLUDE_NMEM": "0", "WRITE_OUT_MEMBERS": "T", "WRITE_OUT_MEAN_FG": "F", "INFLATION": "0.0", "LOCSIG_HOR": "10.0", "NPROC_LAT": "16", "NPATCH": "20", "MIN_SLOT": "-7", "LOCSIG_TEMP": "3.0", "NAER": "1", "NINDEX_AER": "8", "WRITE_OUT_MEAN_AN": "F", "OVERWRITE_RESTART": "T", "QC": "1.4", "IGNORE_TS": "1", "DA_FOLDER_HPC": "/gpfs/projects/bsc32/bsc32137/LETKFSP/PREOBS/obs_2012_DB_PG01rotBC-2gt02_fullyear/", "DA_IOSTEP": "3"}, "postprocess": {"CSV_FILE": "SNES_CHEM.csv", "INI_FILE": "SNES_CHEM.ini"}, "monarch": {"NCEP_PROC": ".false.", "SPINUP": "12", "CENLON": "-3.6", "GEFSAN_FOLDER_HPC": "", "INPES": "16", "DOLD": ".002, .008, .008, .016, .008, .0010", "DT_NUM": "1 0 0", "DEXT": "0", "SPECTRAL": ".false.", "AEROSOL_COMPONENTS": "NONE", "NCEP_PROC_GRIB2": ".true.", "MOZART_FOLDER_HPC": "/gpfs/scratch/bsc32/bsc32771/tmp/PREPARE_REGIONAL_RUNS/DATA_required/BC-MOZART", "BCL_MP_C": "50.", "BCL_MP_F": "100.", "BCL_MP_M": "100.", "NCEPLIBS_CONFIG": "5", "NPROC_NEMSINTERP": "8", "NSALT": "8", "CAMS_ML_FOLDER_HPC": "", "MOZART_FOLDER_ARCHIVE": "/esarchive/recon/ucar/mozart/original_files", "ERA5_FOLDER_HPC": "", "VERSION_PREPROC": "1", "FNL_FOLDER_ARCHIVE": "/esarchive/recon/ncep/ds083.2/original_files", "MERRA2_FOLDER_ARCHIVE": "/esarchive/recon/nasa/merra_v2/original_files/i584", "CONSTANT_REPO_FOLDER_NPS": "/esarchive/exp/monarch/static_v2.0", "NPOL": "0", "ERA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/erainterim-monarch/original_files", "WRTSK": "8", "INIT_CHEM": "1", "DMASK": "4", "CAMP_FOLDER": "mod37", "NDUST": "8", "FCST": "false", "EMM": "51", "LNSH": "1", "CHEM_MECH": "38", "BCL_BMJ_C": "50.", "STATIC_HPC_FOLDER_NPS": "/gpfs/projects/bsc32/models/monarch/data/static_v2.0", "LNSV": "1", "DRAG_PART": "4", "DT_DEN": "2 1 1", "NHOURS": "36", "IFS_FOLDER_HPC": "", "NRADS": "160", "DT_INT": "22", "HIST": "1", "NPROC_METGRID": "8", "NPROC_GEOGRID": "8", "VEGF_UNI": "1", "NRADL": "160", "RECYCLE_SOIL_INIT": "0", "VSED7": "0.2", "VSED6": "0.3", "VSED5": "0.5", "BCL_BMJ_F": "100.", "BCL_BMJ_M": "100.", "XMLC": "0", "VSED8": "0.1", "IFS_DEGREE_RES": "0p125_12_W80_E100_S0_N80", "MOVING_NESTS": ".false.", "CAMS_ML_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/ml/ftp", "LAMBDA_RC": "0.35", "NOM": "6", "DUSCHEME": "2", "XMDL": "0", "SMCCOR": "0", "CAMS_PL_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_nrealtime/original_files/0p40_12", "FNL_FOLDER_HPC": "", "GFS_DEGREE_RES": "0p50", "DO_CAMP": "0", "FREQ_DIAGS": "", "PTOP": "5000.", "DCALBIN2": "1.0 0.998531 1.074797 1.472015 0.850205 1.430319 1.299753 0.828486 1.002254 1.524329 0.830391 0.479323", "NHRS_PREC": "360", "CAMS_PL_FOLDER_HPC": "", "GFS_FOLDER_HPC": "", "JUST_LAST": ".false.", "LEVELS": "", "CAMS_PL_VRA_FOLDER_HPC": "", "DCALBIN6": "1.0 0.776795 1.287324 1.364965 0.912424 1.331407 1.327775 0.962559 0.923016 1.219089 0.897321 0.764757", "CONSTANT_REPO_FOLDER": "/esarchive/exp/monarch/static", "NNO3": "3", "CASE": "regional", "DCALBIN8": "1.0 1.006390 0.886486 1.102514 1.394948 1.286722 1.174099 1.009974 0.945916 0.930637 1.395042 1.018455", "HOUR": "12", "SPINUP_FOLDER": "/esarchive/exp/monarch/a5xa/original_files", "DCALBIN1": "1.0 1.000612 1.082477 1.475536 0.843028 1.423721 1.309229 0.811747 0.995270 1.524607 0.823556 0.475334", "NCHEM": "112", "DCALBIN3": "1.0 0.987129 1.093450 1.487424 0.828624 1.437714 1.325002 0.839012 1.009480 1.547502 0.882344 0.468367", "INTERP2": "1 0 0", "DCALBIN5": "1.0 0.935082 1.101794 1.365402 0.785977 1.493562 1.390100 0.629129 1.101997 1.638613 0.739484 0.426551", "DCALBIN4": "1.0 0.948493 1.082074 1.426227 0.866220 1.381353 1.371184 0.793838 1.048545 1.510950 0.816682 0.387790", "DCALBIN7": "1.0 0.882573 1.407303 0.662187 0.865147 0.802836 1.357229 1.397023 0.811385 0.815051 1.133981 1.124143", "SMCCOEF": "1.0", "NX": "141 301 281", "NY": "121 301 249", "CAMS_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "STATIC_HPC_FOLDER": "/gpfs/projects/bsc32/models/monarch/data/static", "NBC": "2", "JNPES": "16", "DIRECT_TEMP": ".true.", "TYPE_BCCHEM": "CAMS_PL_VRA", "SRC": "3", "RECYCLE_SOIL": "0", "ICL_MP": "1.", "CTHR": "1.0", "DO_CLOUDS": ".false.", "COUPLE_DUST_INIT": "0", "COMPILE_LIBS": "0", "CAMS_ML_VRA_FOLDER_HPC": "", "GEFSAN_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gefs/original_files/fnl_format/original_files", "BC_INTERVAL": "21600", "NNH4": "1", "NPROC_UNGRIB": "1", "SZDSTR": "1", "CAMS50_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_nrealtime/original_files/fc_mc_pl_oper_ecmf", "PARENT_IDS": "0 1 2", "SBD": "-6.0", "ICL_BMJ": "4.", "IFS_FOLDER_ARCHIVE": "/esarchive/exp/ecmwf/ifs/original_files", "VCOORD_OPT": "1", "NHOURS_INIT": "36", "USTDP": "0", "DO_GWD": ".false. .false. .false.", "CENLAT": "39.8", "INTERP": "1 0 0", "WBD": "-7.0", "CAMS_PL_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/0p75", "DX": "0.1", "DY": "0.1", "CAMS50_FOLDER_HPC": "", "ERA5_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/era5/original_files", "XKOK": "0", "TYPE_GEFSINIT": "FNL", "LM": "24", "NUNSPC": "5", "FECAN": "1.75", "MODE": "CHEM", "COUPLE_DUST": "1", "CHEMIC": "", "PERTURB_USTH": "1.0 1.01643812 0.38722173 1.0121849 0.93356167 0.73258736 1.72922959 1.00050638 0.89468336 1.39104921 1.20099803 1.07560301", "CAMS_ML_VRA_FOLDER_ARCHIVE": "/esarchive/recon/ecmwf/cams_global_analysis/original_files/cams_ml_vra", "SPINUP_SAVE_FREQ": "30", "GEOG_DATA_RES": "30s_esa_2020 2m 30s", "NEST1RATIO": "1 4 4", "XTBL": "1", "DCAL": "0.5 0.7 0.7", "USE_IGBP": "0", "MINE": "0", "ERA_FOLDER_HPC": "/gpfs/projects/bsc32/models/monarch/data/initial/era-interim", "VSLAYER": "0", "NPS_CONFIG": "18", "DATAMEGAN": "/gpfs/projects/bsc32/models/monarch/data/static/emissions/DATA_megan_v2.04", "SRC_GRIB": "ERA5", "NSO4": "1", "VDRY": "0.5", "PREVAR_FOLDER_HPC": "", "GFS_FOLDER_ARCHIVE": "/esarchive/recon/ncep/gfs/original_files", "NUM_DOMAINS": "1", "PTSGM": "30000.", "MERRA2_FOLDER_HPC": "", "CAMS_FOLDER_HPC": "", "GLOBAL_NPS": "0", "DO_DIAGS": "true", "SEDIM_TYPE": "1"}, "obs_preproc": {"SAVE_ALL_OBS_IN_ONE": "t", "UNC_CONST_A": "0.2", "DATA_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/", "ROTATE": "true", "ELEMENT": "O3", "UNC_CONST_B": "0.01", "UNC_CONST_C": "0.0001", "OBS_FILE_TYPE": "re", "OBS_PREPROC": "in-situ", "STATIONS_DIR": "/esarchive/obs/ecmwf/eea-cams50/original_files/stations/"}, "hermes": {"HERMES_PERTURBATION_FACTORS_FILE": "", "GFAS_FOLDER_DAILY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/daily_mean/multivar/", "AE_FOLDER_HPC": "", "DO_HERMES_GR": "1 0 0", "GFAS_RES": "''daily''", "GFAS_FOLDER_HOURLY_HPC": "", "HERMES_DATA": "/gpfs/projects/bsc32/models/hermesv3/data", "HERMES_EI_CONF": "EI_configuration_camsregv42_ref21_taggingv2_sindhant_000", "GFAS_FOLDER_DAILY_HPC": "", "HERMES_AUXFILES": "/gpfs/projects/bsc32/models/hermesv3/country_masks", "HERMES_ANTHRO_RES": "''hourly''", "HERMES_CONF": "HERMESv3_camsregv42_ref21_taggingv2_sindhant_000", "DO_GFAS": "true", "GFAS_FOLDER_HOURLY_ARCHIVE": "/esarchive/recon/ecmwf/gfas/1hourly/multivar/", "DO_HERMES_BU": "1 0 0", "AE_FOLDER_ARCHIVE": ""}, "archive": {"USE_DT_COMMANDS": "TRUE", "ARCHIVE_REDUCED_FILES": "1", "ARCHIVE_ORIGINAL_FILES": "0", "ARCHIVE_ROOT_FOLDER": "/esarchive/exp"}}}');
INSERT INTO experiment_run VALUES(11,'2023-05-09-12:19:57','2023-05-09-12:20:08',1683627597,1683627608,'month',1,0,1,0,0,0,0,0,'{"DEFAULT": {"EXPID": "a009", "HPCARCH": "levante", "CUSTOM_CONFIG": "/home/dbeltran/new_autosubmit/a00b/proj/auto-icon/config/include"}, "PLATFORMS": {"LEVANTE": {"USER": "b382351", "TYPE": "slurm", "HOST": "levante.dkrz.de", "PROJECT": "bb1153", "SCRATCH_DIR": "/work", "MAX_WALLCLOCK": "08:00", "PROCESSORS_PER_NODE": 128, "QUEUE": "p", "PARTITION": "compute", "SERIAL_PLATFORM": "LEVANTE-SERIAL"}, "LEVANTE-SERIAL": {"TYPE": "slurm", "HOST": "levante.dkrz.de", "USER": "", "PROJECT": "", "SCRATCH_DIR": "/work", "MAX_WALLCLOCK": "08:00", "PROCESSORS_PER_NODE": 128, "QUEUE": "s", "PARTITION": "shared"}, "LEVANTE-LOGIN": {"TYPE": "slurm", "HOST": "levante.dkrz.de", "USER": "b382351", "PROJECT": "bb1153", "SCRATCH_DIR": "/work", "PARTITION": "interactive"}, "MARENOSTRUM0": {"TYPE": "slurm", "HOST": "marenostrum0", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "MAX_WALLCLOCK": "48:00", "MAX_PROCESSORS": "2400", "PROCESSORS_PER_NODE": "48", "SERIAL_QUEUE": "debug", "QUEUE": "debug"}, "MARENOSTRUM4": {"TYPE": "slurm", "HOST": "bsc", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "ADD_PROJECT_TO_HOST": "False", "MAX_WALLCLOCK": "48:00", "MAX_PROCESSORS": "2400", "PROCESSORS_PER_NODE": "48", "SERIAL_QUEUE": "debug", "QUEUE": "debug"}, "MARENOSTRUM_ARCHIVE": {"TYPE": "ps", "HOST": "dt01.bsc.es", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "ADD_PROJECT_TO_HOST": "False", "TEST_SUITE": "False"}, "TRANSFER_NODE": {"TYPE": "ps", "HOST": "dt01.bsc.es", "PROJECT": "bsc32", "USER": "bsc32070", "ADD_PROJECT_TO_HOST": "false", "SCRATCH_DIR": "/gpfs/scratch"}}, "PROJECT": {"PROJECT_TYPE": "none", "PROJECT_DESTINATION": "auto-icon"}, "TOCHANGE": "frominclude", "JOBS": {"COPY_NAMELIST": {"FILE": "jobscripts/copy_namelist.sh", "RUNNING": "once", "DEPENDENCIES": {}, "ADDITIONAL_FILES": ["jobscripts/namelist.tmpl"]}}, "EXPERIMENT": {"DATELIST": 20000101, "MEMBERS": "default", "CHUNKSIZEUNIT": "month", "CHUNKSIZE": 1, "NUMCHUNKS": 1, "CHUNKINI": "", "CALENDAR": "standard"}, "NAMELIST": {"MASTER": "icon_master.namelist", "EXP": "%DEFAULT.TEMPLATE%.nml"}, "DIRECTORIES": {"ICONDIR": "%HPCROOTDIR%/icon", "INDIR": "my-updated-indir", "OUTDIR": "from_main", "TESTDIR": "another-dir", "TEST_FILE": "from_main"}, "TESTKEY": "abcd", "TESTKEY-TWO": "HPCARCH is levante", "TOLOAD": "from_testfile2", "TESTKEY-LEVANTE": "L-abcd", "TOLOAD2": "from_version", "CONFIG": {"AUTOSUBMIT_VERSION": "4.0.0b", "TOTALJOBS": 20, "MAXWAITINGJOBS": 20}, "ROOTDIR": "/home/dbeltran/new_autosubmit/a00b", "PROJDIR": "/home/dbeltran/new_autosubmit/a00b/proj/project_files", "GIT": {"PROJECT_ORIGIN": "git@gitlab.dkrz.de:auto-icon/auto-icon.git", "PROJECT_BRANCH": "refactor-config-loading", "PROJECT_COMMIT": "", "PROJECT_SUBMODULES": "", "FETCH_SINGLE_BRANCH": true}, "AS_TEMP": {"FILENAME_TO_LOAD": "/home/dbeltran/platforms.yml"}, "STORAGE": {}}');
INSERT INTO experiment_run VALUES(12,'2023-05-09-12:20:08','2023-05-09-12:21:02',1683627608,1683627662,'month',1,0,1,0,0,0,0,0,'{"DEFAULT": {"EXPID": "a009", "HPCARCH": "levante", "CUSTOM_CONFIG": "/home/dbeltran/new_autosubmit/a00b/proj/auto-icon/config/include"}, "PLATFORMS": {"LEVANTE": {"USER": "b382351", "TYPE": "slurm", "HOST": "levante.dkrz.de", "PROJECT": "bb1153", "SCRATCH_DIR": "/work", "MAX_WALLCLOCK": "08:00", "PROCESSORS_PER_NODE": 128, "QUEUE": "p", "PARTITION": "compute", "SERIAL_PLATFORM": "LEVANTE-SERIAL"}, "LEVANTE-SERIAL": {"TYPE": "slurm", "HOST": "levante.dkrz.de", "USER": "", "PROJECT": "", "SCRATCH_DIR": "/work", "MAX_WALLCLOCK": "08:00", "PROCESSORS_PER_NODE": 128, "QUEUE": "s", "PARTITION": "shared"}, "LEVANTE-LOGIN": {"TYPE": "slurm", "HOST": "levante.dkrz.de", "USER": "b382351", "PROJECT": "bb1153", "SCRATCH_DIR": "/work", "PARTITION": "interactive"}, "MARENOSTRUM0": {"TYPE": "slurm", "HOST": "marenostrum0", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "MAX_WALLCLOCK": "48:00", "MAX_PROCESSORS": "2400", "PROCESSORS_PER_NODE": "48", "SERIAL_QUEUE": "debug", "QUEUE": "debug"}, "MARENOSTRUM4": {"TYPE": "slurm", "HOST": "bsc", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "ADD_PROJECT_TO_HOST": "False", "MAX_WALLCLOCK": "48:00", "MAX_PROCESSORS": "2400", "PROCESSORS_PER_NODE": "48", "SERIAL_QUEUE": "debug", "QUEUE": "debug"}, "MARENOSTRUM_ARCHIVE": {"TYPE": "ps", "HOST": "dt01.bsc.es", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "ADD_PROJECT_TO_HOST": "False", "TEST_SUITE": "False"}, "TRANSFER_NODE": {"TYPE": "ps", "HOST": "dt01.bsc.es", "PROJECT": "bsc32", "USER": "bsc32070", "ADD_PROJECT_TO_HOST": "false", "SCRATCH_DIR": "/gpfs/scratch"}}, "PROJECT": {"PROJECT_TYPE": "none", "PROJECT_DESTINATION": "auto-icon"}, "TOCHANGE": "frominclude", "JOBS": {"COPY_NAMELIST": {"FILE": "jobscripts/copy_namelist.sh", "RUNNING": "once", "DEPENDENCIES": {}, "ADDITIONAL_FILES": ["jobscripts/namelist.tmpl"]}}, "EXPERIMENT": {"DATELIST": 20000101, "MEMBERS": "default", "CHUNKSIZEUNIT": "month", "CHUNKSIZE": 1, "NUMCHUNKS": 1, "CHUNKINI": "", "CALENDAR": "standard"}, "NAMELIST": {"MASTER": "icon_master.namelist", "EXP": "%DEFAULT.TEMPLATE%.nml"}, "DIRECTORIES": {"ICONDIR": "%HPCROOTDIR%/icon", "INDIR": "my-updated-indir", "OUTDIR": "from_main", "TESTDIR": "another-dir", "TEST_FILE": "from_main"}, "TESTKEY": "abcd", "TESTKEY-TWO": "HPCARCH is levante", "TOLOAD": "from_testfile2", "TESTKEY-LEVANTE": "L-abcd", "TOLOAD2": "from_version", "CONFIG": {"AUTOSUBMIT_VERSION": "4.0.0b", "TOTALJOBS": 20, "MAXWAITINGJOBS": 20}, "ROOTDIR": "/home/dbeltran/new_autosubmit/a00b", "PROJDIR": "/home/dbeltran/new_autosubmit/a00b/proj/project_files", "GIT": {"PROJECT_ORIGIN": "git@gitlab.dkrz.de:auto-icon/auto-icon.git", "PROJECT_BRANCH": "refactor-config-loading", "PROJECT_COMMIT": "", "PROJECT_SUBMODULES": "", "FETCH_SINGLE_BRANCH": true}, "AS_TEMP": {"FILENAME_TO_LOAD": "/home/dbeltran/platforms.yml"}, "STORAGE": {}}');
INSERT INTO experiment_run VALUES(13,'2023-05-09-12:21:02','2023-05-09-12:21:07',1683627662,0,'month',1,0,1,0,0,0,0,0,'{"DEFAULT": {"EXPID": "a009", "HPCARCH": "marenostrum4", "CUSTOM_CONFIG": {"PRE": "/home/dbeltran/new_autosubmit/a00b/proj/auto-icon/config/include", "POST": "~/platforms.yml"}}, "PLATFORMS": {"LEVANTE": {"USER": "b382351", "TYPE": "slurm", "HOST": "levante.dkrz.de", "PROJECT": "bb1153", "SCRATCH_DIR": "/work", "MAX_WALLCLOCK": "08:00", "PROCESSORS_PER_NODE": 128, "QUEUE": "p", "PARTITION": "compute", "SERIAL_PLATFORM": "LEVANTE-SERIAL"}, "LEVANTE-SERIAL": {"TYPE": "slurm", "HOST": "levante.dkrz.de", "USER": "", "PROJECT": "", "SCRATCH_DIR": "/work", "MAX_WALLCLOCK": "08:00", "PROCESSORS_PER_NODE": 128, "QUEUE": "s", "PARTITION": "shared"}, "LEVANTE-LOGIN": {"TYPE": "slurm", "HOST": "levante.dkrz.de", "USER": "b382351", "PROJECT": "bb1153", "SCRATCH_DIR": "/work", "PARTITION": "interactive"}, "MARENOSTRUM0": {"TYPE": "slurm", "HOST": "marenostrum0", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "MAX_WALLCLOCK": "48:00", "MAX_PROCESSORS": "2400", "PROCESSORS_PER_NODE": "48", "SERIAL_QUEUE": "debug", "QUEUE": "debug"}, "MARENOSTRUM4": {"TYPE": "slurm", "HOST": "bsc", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "ADD_PROJECT_TO_HOST": "False", "MAX_WALLCLOCK": "48:00", "MAX_PROCESSORS": "2400", "PROCESSORS_PER_NODE": "48", "SERIAL_QUEUE": "debug", "QUEUE": "debug"}, "MARENOSTRUM_ARCHIVE": {"TYPE": "ps", "HOST": "dt01.bsc.es", "PROJECT": "bsc32", "USER": "bsc32070", "SCRATCH_DIR": "/gpfs/scratch", "ADD_PROJECT_TO_HOST": "False", "TEST_SUITE": "False"}, "TRANSFER_NODE": {"TYPE": "ps", "HOST": "dt01.bsc.es", "PROJECT": "bsc32", "USER": "bsc32070", "ADD_PROJECT_TO_HOST": "false", "SCRATCH_DIR": "/gpfs/scratch"}}, "PROJECT": {"PROJECT_TYPE": "none", "PROJECT_DESTINATION": "auto-icon"}, "TOCHANGE": "frominclude", "JOBS": {"COPY_NAMELIST": {"FILE": "jobscripts/copy_namelist.sh", "RUNNING": "once", "DEPENDENCIES": {}, "ADDITIONAL_FILES": ["jobscripts/namelist.tmpl"]}}, "EXPERIMENT": {"DATELIST": 20000101, "MEMBERS": "default", "CHUNKSIZEUNIT": "month", "CHUNKSIZE": 1, "NUMCHUNKS": 1, "CHUNKINI": "", "CALENDAR": "standard"}, "NAMELIST": {"MASTER": "icon_master.namelist", "EXP": "%DEFAULT.TEMPLATE%.nml"}, "DIRECTORIES": {"ICONDIR": "%HPCROOTDIR%/icon", "INDIR": "my-updated-indir", "OUTDIR": "from_main", "TESTDIR": "another-dir", "TEST_FILE": "from_main"}, "TESTKEY": "abcd", "TESTKEY-TWO": "HPCARCH is marenostrum4", "TOLOAD": "from_testfile2", "CONFIG": {"AUTOSUBMIT_VERSION": "4.0.0b", "TOTALJOBS": 20, "MAXWAITINGJOBS": 20}, "TOLOAD2": "from_version", "ROOTDIR": "/home/dbeltran/new_autosubmit/a00b", "PROJDIR": "/home/dbeltran/new_autosubmit/a00b/proj/project_files", "GIT": {"PROJECT_ORIGIN": "git@gitlab.dkrz.de:auto-icon/auto-icon.git", "PROJECT_BRANCH": "refactor-config-loading", "PROJECT_COMMIT": "", "PROJECT_SUBMODULES": "", "FETCH_SINGLE_BRANCH": true}, "AS_TEMP": {"FILENAME_TO_LOAD": "/home/dbeltran/platforms.yml"}, "STORAGE": {}}');
CREATE TABLE job_data (
      id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
      counter INTEGER NOT NULL,
      job_name TEXT NOT NULL,
      created TEXT NOT NULL,
      modified TEXT NOT NULL,
      submit INTEGER NOT NULL,
      start INTEGER NOT NULL,
      finish INTEGER NOT NULL,
      status TEXT NOT NULL,
      rowtype INTEGER NOT NULL,
      ncpus INTEGER NOT NULL,
      wallclock TEXT NOT NULL,
      qos TEXT NOT NULL,
      energy INTEGER NOT NULL,
      date TEXT NOT NULL,
      section TEXT NOT NULL,
      member TEXT NOT NULL,
      chunk INTEGER NOT NULL,
      last INTEGER NOT NULL,
      platform TEXT NOT NULL,
      job_id INTEGER NOT NULL,
      extra_data TEXT NOT NULL,
      nnodes INTEGER NOT NULL DEFAULT 0,
      run_id INTEGER,
      MaxRSS REAL NOT NULL DEFAULT 0.0,
      AveRSS REAL NOT NULL DEFAULT 0.0,
      out TEXT NOT NULL,
      err TEXT NOT NULL,
      rowstatus INTEGER NOT NULL DEFAULT 0,
      children TEXT,
      platform_output TEXT,
      UNIQUE(counter,job_name)
      );
INSERT INTO job_data VALUES(1,0,'a00b_LOCAL_SETUP','2023-05-02-12:32:25','2023-05-02-12:32:38',1683023545,1683023546,1683023551,'COMPLETED',2,1,'00:00','debug',0,'','LOCAL_SETUP','',0,1,'LOCAL',31196,'',0,1,0.0,0.0,'a00b_LOCAL_SETUP.20230502123237.out','a00b_LOCAL_SETUP.20230502123237.err',5,'a00b_20181215_000_1_LOCAL_SEND_CHEM,a00b_20181215_000_2_LOCAL_SEND_CHEM,a00b_LOCAL_SEND_SOURCE,a00b_20181215_3_LOCAL_SEND_EMISSIONS,a00b_20181215_2_LOCAL_SEND_EMISSIONS,a00b_20181215_000_2_LOCAL_SEND_INITIAL,a00b_20181215_000_1_LOCAL_SEND_INITIAL,a00b_20181215_000_3_LOCAL_SEND_INITIAL,a00b_20181215_000_4_LOCAL_SEND_INITIAL,a00b_20181215_000_5_LOCAL_SEND_INITIAL,a00b_LOCAL_SEND_STATIC,a00b_20181215_4_LOCAL_SEND_EMISSIONS','');
INSERT INTO job_data VALUES(2,0,'a00b_20181215_000_1_LOCAL_SEND_CHEM','2023-05-02-12:32:38','2023-05-02-12:33:10',1683023558,1683019956,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_CHEM','000',1,1,'marenostrum_archive',17582,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_3_LOCAL_SEND_CHEM,a00b_20181215_000_1_PREPROCVAR','');
INSERT INTO job_data VALUES(3,0,'a00b_20181215_000_2_LOCAL_SEND_CHEM','2023-05-02-12:32:39','2023-05-02-12:33:20',1683023559,1683019957,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_CHEM','000',2,1,'marenostrum_archive',17625,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_4_LOCAL_SEND_CHEM,a00b_20181215_000_2_PREPROCVAR','');
INSERT INTO job_data VALUES(4,0,'a00b_LOCAL_SEND_SOURCE','2023-05-02-12:32:39','2023-05-02-12:32:59',1683023559,1683019957,0,'RUNNING',2,1,'00:00','debug',0,'','LOCAL_SEND_SOURCE','',0,1,'marenostrum_archive',17668,'',0,1,0.0,0.0,'','',0,'a00b_LOCAL_SEND_HERMES,a00b_REMOTE_COMPILE','');
INSERT INTO job_data VALUES(5,0,'a00b_20181215_000_1_LOCAL_SEND_INITIAL','2023-05-02-12:32:40','2023-05-02-12:33:12',1683023560,1683019958,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_INITIAL','000',1,1,'marenostrum_archive',17712,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_1_PREPROCVAR,a00b_20181215_000_6_LOCAL_SEND_INITIAL','');
INSERT INTO job_data VALUES(6,0,'a00b_20181215_000_2_LOCAL_SEND_INITIAL','2023-05-02-12:32:40','2023-05-02-12:33:23',1683023560,1683019958,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_INITIAL','000',2,1,'marenostrum_archive',17756,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_7_LOCAL_SEND_INITIAL,a00b_20181215_000_2_PREPROCVAR','');
INSERT INTO job_data VALUES(7,0,'a00b_20181215_000_3_LOCAL_SEND_INITIAL','2023-05-02-12:32:41','2023-05-02-12:33:02',1683023561,1683019959,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_INITIAL','000',3,1,'marenostrum_archive',17799,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_3_PREPROCVAR','');
INSERT INTO job_data VALUES(8,0,'a00b_20181215_000_4_LOCAL_SEND_INITIAL','2023-05-02-12:32:41','2023-05-02-12:33:15',1683023561,1683019959,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_INITIAL','000',4,1,'marenostrum_archive',17842,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_4_PREPROCVAR','');
INSERT INTO job_data VALUES(9,0,'a00b_20181215_000_5_LOCAL_SEND_INITIAL','2023-05-02-12:32:42','2023-05-02-12:33:25',1683023562,1683019960,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_INITIAL','000',5,1,'marenostrum_archive',17886,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_5_PREPROCVAR','');
INSERT INTO job_data VALUES(10,0,'a00b_LOCAL_SEND_STATIC','2023-05-02-12:32:42','2023-05-02-12:33:04',1683023562,1683019960,0,'RUNNING',2,1,'00:00','debug',0,'','LOCAL_SEND_STATIC','',0,1,'marenostrum_archive',17929,'',0,1,0.0,0.0,'','',0,'a00b_20181215_000_PREPROCFIX','');
INSERT INTO job_data VALUES(11,0,'a00b_20181215_2_LOCAL_SEND_EMISSIONS','2023-05-02-12:32:43','2023-05-02-12:33:17',1683023563,1683019961,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_EMISSIONS','',2,1,'marenostrum_archive',17972,'',0,1,0.0,0.0,'','',0,'a00b_20181215_5_LOCAL_SEND_EMISSIONS,a00b_20181215_000_2_HERMESv3_GR','');
INSERT INTO job_data VALUES(12,0,'a00b_20181215_3_LOCAL_SEND_EMISSIONS','2023-05-02-12:32:44','2023-05-02-12:32:57',1683023564,1683019962,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_EMISSIONS','',3,1,'marenostrum_archive',18016,'',0,1,0.0,0.0,'','',0,'a00b_20181215_6_LOCAL_SEND_EMISSIONS,a00b_20181215_000_3_HERMESv3_GR','');
INSERT INTO job_data VALUES(13,0,'a00b_20181215_4_LOCAL_SEND_EMISSIONS','2023-05-02-12:32:44','2023-05-02-12:33:07',1683023564,1683019962,0,'RUNNING',2,1,'00:00','debug',0,'2018-12-15 00:00:00','LOCAL_SEND_EMISSIONS','',4,1,'marenostrum_archive',18059,'',0,1,0.0,0.0,'','',0,'a00b_20181215_7_LOCAL_SEND_EMISSIONS,a00b_20181215_000_4_HERMESv3_GR','');
INSERT INTO job_data VALUES(14,0,'a00b_20181215_000_1_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',1,1,'marenostrum4',28331646,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_1_SIM','');
INSERT INTO job_data VALUES(15,0,'a00b_20181215_000_2_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',2,1,'marenostrum4',28331647,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_2_SIM','');
INSERT INTO job_data VALUES(16,0,'a00b_20181215_000_3_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',3,1,'marenostrum4',28331648,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_3_SIM','');
INSERT INTO job_data VALUES(17,0,'a00b_20181215_000_4_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',4,1,'marenostrum4',28331649,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_4_SIM','');
INSERT INTO job_data VALUES(18,0,'a00b_20181215_000_5_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',5,1,'marenostrum4',28331650,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_5_SIM','');
INSERT INTO job_data VALUES(19,0,'a00b_20181215_000_6_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',6,1,'marenostrum4',28331651,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_6_SIM','');
INSERT INTO job_data VALUES(20,0,'a00b_20181215_000_7_PREPROCVAR','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,1,'00:20','debug',0,'2018-12-15 00:00:00','PREPROCVAR','000',7,1,'marenostrum4',28331652,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_7_SIM','');
INSERT INTO job_data VALUES(21,0,'a00b_20181215_000_HERMESv3_GR_PREPROC','2023-05-02-12:38:34','2023-05-02-12:38:34',1683023914,0,0,'SUBMITTED',2,60,'01:30','debug',0,'2018-12-15 00:00:00','HERMESv3_GR_PREPROC','000',0,1,'marenostrum4',28331653,'',0,2,0.0,0.0,'','',0,'a00b_20181215_000_4_HERMESv3_GR,a00b_20181215_000_3_HERMESv3_GR,a00b_20181215_000_5_HERMESv3_GR,a00b_20181215_000_2_HERMESv3_GR,a00b_20181215_000_HERMESv3_BU_PREPROC','');
INSERT INTO job_data VALUES(22,0,'a00b_20181215_000_1_POSTPROC','2023-05-02-12:48:04','2023-05-02-12:49:56',1683024484,0,0,'SUBMITTED',2,144,'00:20','debug',0,'2018-12-15 00:00:00','POSTPROC','000',1,0,'marenostrum4',28331781,'',0,4,0.0,0.0,'','',0,'a00b_20181215_000_2_POSTPROC,a00b_20181215_000_1_ARCHIVE','');
INSERT INTO job_data VALUES(23,1,'a00b_20181215_000_1_POSTPROC','2023-05-02-12:49:56','2023-05-02-12:49:56',1683024596,0,0,'SUBMITTED',2,144,'00:20','debug',0,'2018-12-15 00:00:00','POSTPROC','000',1,1,'marenostrum4',28331789,'',0,10,0.0,0.0,'','',0,'a00b_20181215_000_1_ARCHIVE,a00b_20181215_000_2_POSTPROC','');
DELETE FROM sqlite_sequence;
INSERT INTO sqlite_sequence VALUES('experiment_run',13);
INSERT INTO sqlite_sequence VALUES('job_data',23);
CREATE INDEX ID_JOB_NAME ON job_data(job_name);
COMMIT;
